Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.torque.templates.transformer.om
Enum ColumnAttributeName

    java.lang.Object
      java.lang.Enum<ColumnAttributeName>
          org.apache.torque.templates.transformer.om.ColumnAttributeName

All Implemented Interfaces:
  Serializable, Comparable<ColumnAttributeName>, SourceAttributeName

    public enum ColumnAttributeName

extends Enum<ColumnAttributeName>
implements SourceAttributeName

Contains the attributes for a column source element which are not defined in the Torque schema.

Enum Constant Summary
`FIELD_OBJECT_TYPE` The object (non-primitive) type for a field.
`NUMBER_TYPE` Whether the column is a number column.
`PEER_COLUMN_NAME` The name of constant for the column name in the peer class.
`POSITION` The column index, 1 based.
`PRIMITIVE_TYPE` Whether the column is a primitive column.
`QUALIFIED_COLUMN_NAME` The fully qualified name of the column, i.
`RESULT_SET_GETTER` The getter to get the column from a result set.
`SAMPLE_OBJECT` An instance of the object for the type map.

Method Summary
`String` | `getName()` Returns the name of the referenced source element attribute.
`String` | `toString()`
`static ColumnAttributeName` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ColumnAttributeName[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PRIMITIVE_TYPE

    public static final ColumnAttributeName PRIMITIVE_TYPE

  Whether the column is a primitive column.

### NUMBER_TYPE

    public static final ColumnAttributeName NUMBER_TYPE

  Whether the column is a number column.

### PEER_COLUMN_NAME

    public static final ColumnAttributeName PEER_COLUMN_NAME

  The name of constant for the column name in the peer class.

### QUALIFIED_COLUMN_NAME

    public static final ColumnAttributeName QUALIFIED_COLUMN_NAME

  The fully qualified name of the column, i. e. prefixed with the database schema name if a schema name was given.

### POSITION

    public static final ColumnAttributeName POSITION

  The column index, 1 based. First column 1, second column 2 etc.

### FIELD_OBJECT_TYPE

    public static final ColumnAttributeName FIELD_OBJECT_TYPE

  The object (non-primitive) type for a field.

### RESULT_SET_GETTER

    public static final ColumnAttributeName RESULT_SET_GETTER

  The getter to get the column from a result set.

### SAMPLE_OBJECT

    public static final ColumnAttributeName SAMPLE_OBJECT

  An instance of the object for the type map.

Method Detail

### values

    public static ColumnAttributeName[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ColumnAttributeName c : ColumnAttributeName.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ColumnAttributeName valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getName

    public String getName()

  Returns the name of the referenced source element attribute.

  Specified by:
    `getName` in interface `SourceAttributeName`
  Returns:
    the name of the referenced source element attribute.

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<ColumnAttributeName>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.